# Uses of Interface
org.bukkit.command.CommandExecutor

Packages that use CommandExecutor
Package
Description
org.bukkit.command
Classes relating to handling specialized non-chat player input.
org.bukkit.plugin
Classes specifically relating to loading software modules at runtime.
org.bukkit.plugin.java
Classes for handling `plugins` written in java.

## Uses of CommandExecutor in org.bukkit.command

Subinterfaces of CommandExecutor in org.bukkit.command
Modifier and Type
Interface
Description
`interface`
`TabExecutor`
This class is provided as a convenience to implement both TabCompleter and CommandExecutor.
Methods in org.bukkit.command that return CommandExecutor
Modifier and Type
Method
Description
`@NotNull CommandExecutor`
PluginCommand.`getExecutor()`
Gets the `CommandExecutor` associated with this command
Methods in org.bukkit.command with parameters of type CommandExecutor
Modifier and Type
Method
Description
`void`
PluginCommand.`setExecutor(@Nullable CommandExecutor executor)`
Sets the `CommandExecutor` to run when parsing this command

## Uses of CommandExecutor in org.bukkit.plugin

Subinterfaces of CommandExecutor in org.bukkit.plugin
Modifier and Type
Interface
Description
`interface`
`Plugin`
Represents a Plugin
Classes in org.bukkit.plugin that implement CommandExecutor
Modifier and Type
Class
Description
`class`
`PluginBase`
Represents a base `Plugin`

## Uses of CommandExecutor in org.bukkit.plugin.java

Classes in org.bukkit.plugin.java that implement CommandExecutor
Modifier and Type
Class
Description
`class`
`JavaPlugin`
Represents a Java plugin